Menu

What Samsung devices support Knox E-FOTA?

To use Knox E-FOTA, devices need:

  • Android Nougat (7.0) or above. As Android Nougat and later updates are made available to other Samsung tablets and phones, Knox E-FOTA support will be added.
  • Knox version 2.7.1 or later. This support is available or planned for the Galaxy S7, Galaxy S6, Note 5, and later flagship Samsung devices.

Exceptions are Verizon and AT&T devices, which use their carrier’s own FOTA delivery process.